@import url('https://fonts.googleapis.com/css2?family=Italiana&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

*,
*::after,
*::before{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
}

html{
    scroll-behavior: smooth;
}

h1,
h3{
    font-family: 'Italiana', serif;
}

p,
a,
span{
    font-family: 'Poppins', sans-serif;
    color: #000;
    text-decoration: none;
}

img{
    width: 100%;
    height: auto;
}

.container{
    width: min(90%, 93.75em);
    margin-left: auto;
    margin-right: auto;
}

.logo-header{
    width: 22em;
    height: auto;
    display: block;
    margin-left: auto;
    margin-right: auto;
    padding-top: 5em;
}

h1{
    margin-top: 1em;
    margin-bottom: .5em;
    text-align: center;
    font-size: 6em;
}

.menu{
    display: grid;
    grid-template-columns: auto auto auto 5fr auto;
    gap: 1em;
    justify-content: space-between;
    align-items: center;
    margin-top: 2em;
}

.retangulo-menu{
    background-color: #74623D;
    width: .35em;
    height: .35em;
    transform: rotate(45deg);
}

.link-menu{
    color: #000;
    text-decoration: none;
}

.border-menu{
    background-color: #74623D;
    width: 100%;
    height: .25em;
}

.scroll:after{
    content: '';
    display: inline-block;
    width: 1em;
    height: 1em;
    margin-left: 1em;
    background-image: url('../img/chevron.svg');
    background-size: contain;
}

.flex-servicos{
    display: flex;
    gap: 4em;
}

.flex-servicos > *{
    flex-basis: 100%;
}

h3{
    font-size: 4em;
}

.mg-top-p{
    margin-top: 2em;
}

.mg-top-h3{
    margin-top: 2em;
}

#servicos{
    padding-top: 8em;
}

.relative{
    position: relative;
}

.caixa{
    position: absolute;
    background-color: #fff;
    padding: 1em 2em;
    border-radius: 1.5em;
    bottom: 2em;
    left: -8em;
    width: 20em;
}

.caixa p{
    font-size: .75em;
    margin-bottom: 1em;
}

#icons-contactos{
    padding-top: 8em;
}

.flex-contactos{
    display: flex;
    gap: 4em;
    justify-content: center;
    align-items: center;
}

.flex-icons{
    display: flex;
    gap: 3em;
    justify-content: center;
    align-items: center;
}

.flex-contactos >  *{
    flex-basis: 100%;
}

.icons{
    width: 3em;
}

#formulario{
    padding-top: 8em;
}

.grid-linha-1{
    display: grid;
    grid-template-columns: auto 1fr auto 1fr;
    gap: 1em;
}

.grid-linha-2{
    margin-top: 1em;
    margin-bottom: 1em;
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 1em;
}

.label{
    font-size: 1.25em;
}

.text-input{
    outline: none;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 2px solid #74623D;
    padding: 0 1em;
    font-size: 1em;
}

textarea{
    outline: none;
    border-top: none;
    border-left: none;
    border-right: none;
    border-bottom: 2px solid #74623D;
    padding: 0 1em .6em;
    font-size: 1em;
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #CFC1B4;
    opacity: 1; /* Firefox */
    font-family: 'Poppins', sans-serif;
    font-size: 1.25em;
}
  
:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #CFC1B4;
    font-family: 'Poppins', sans-serif;
    font-size: 1.25em;
}
  
::-ms-input-placeholder { /* Microsoft Edge */
    color: #CFC1B4;
    font-family: 'Poppins', sans-serif;
    font-size: 1.25em;
}

.termos{
    margin-left: .5em;
}

.btn-enviar{
    background-color: #74623D;
    color: #fff;
    font-family: 'Poppins', sans-serif;
    font-size: 1.25em;
    padding: .75em 1em;
    border-radius: .75em;
    outline: none;
    border: none;
    margin-left: 4em;
    cursor: pointer;
}

.btn-enviar:after{
    content: '';
    display: inline-block;
    width: .75em;
    height: .75em;
    margin-left: 2em;
    background-image: url('../img/chevron-branco.svg');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}

.border-footer{
    height: .1em;
    background-color: #74623D;
}

.flex-footer{
    display: flex;
    justify-content: space-between;
}

.flex-footer > *{
    margin-top: 1em;
}

footer{
    padding: 8em 0 6em;
}

.logo-footer{
    width: 4em;
}

.alinhar-direita{
    display: block;
    text-align: right;
}

#main-home{
    background-image: url('../img/pattern.svg');
    background-position: top center;
    background-repeat: no-repeat;
    background-size: 100%;
}

#main-info{
    background-image: url('../img/mancha-amarela.svg');
    background-position-x: 0;
    background-repeat: no-repeat;
    background-size: contain;
}

/* 1300 */
@media screen and (max-width: 81.25em) {
    h1{
        font-size: 4em;
    }
}

/* 767 */
@media screen and (max-width: 48em) {
    h1{
        font-size: 2em;
    }

    #servicos{
        padding-top: 4em;
    }

    .flex-servicos{
        flex-direction: column;
    }

    h3{
        font-size: 2em;
    }

    .flex-contactos{
        flex-direction: column;
    }

    .flex-icons{
        flex-direction: column;
    }
    
    #icons-contactos {
        padding-top: 6em;
    }

    .grid-linha-1 {
        grid-template-columns: auto 1fr;
    }

    .text-input{
        padding: 0 0 .5em;
    }

    textarea{
        padding: 0 0 1.4em;
    }

    .btn-enviar{
        margin-left: unset;
        width: 100%;
        margin-top: 1em;
    }

    footer {
        padding: 5em 0 7em;
    }

    .flex-footer{
        flex-direction: column;
        align-items: center;
    }

    .alinhar-direita{
        text-align: center;
        padding: 0 0 1em;
    }

    .centrar{
        text-align: center;
    }
}

/* 500 */
@media screen and (max-width: 31.25em) {
    h1{
        font-size: 1em;
    }

    .grid-linha-1 {
        grid-template-columns: 1fr;
    }

    .grid-linha-2 {
        grid-template-columns: 1fr;
    }

    .logo-header{
        width: 10em;
        padding-top: 2em;
    }

    .border-menu{
        display: none;
    }

    .scroll{
        display: none;
    }

    .menu{
        display: flex;
        justify-content: space-evenly;
    }

    .caixa{
        width: 15em;
    }
}

/* 1200 */
@media screen and (max-width: 75em) {
    .caixa{
        left: 50%;
        bottom: -2em;
        transform: translateX(-50%);
    }

    .flex-contactos{
        gap: 1em;
    }

    .flex-icons{
        gap: 2em;
    }
}

/* 1000 */
@media screen and (max-width: 62.5em) {
    .caixa{
        left: 50%;
        bottom: -2em;
        transform: translateX(-50%);
    }

    .flex-contactos{
        gap: 1em;
    }

    .flex-icons{
        gap: 2em;
    }

    .icons{
        width: 2em;
    }
}